<div class="sidebar" data-color="danger" data-background-color="white">
    <app-sidebar-cmp></app-sidebar-cmp>
    <div class="sidebar-background"></div>
</div>
<div class="main-panel">
    <app-navbar-cmp></app-navbar-cmp>
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-11">
                    <div class="card">
                        <div class="card-header card-header-muted card-header-icon">
                            <div class="card-icon">
                                <i class="material-icons">clear_all</i>
                            </div>
                            <h4 class="card-title">Ordenamiento</h4>

                        </div>
                        <div class="card-body">
                            <form (ngSubmit)="save()" #form="ngForm">
                                <br>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field>
                                            <mat-select placeholder="Entidad" [(ngModel)]="first.entity" name="entity">
                                                <mat-option *ngFor="let i of enitys" [value]="i">
                                                    {{i}}
                                                </mat-option>

                                            </mat-select>
                                        </mat-form-field>


                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Cupos" name="quotas" [(ngModel)]="first.quotas" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Costos" name="cost" [(ngModel)]="first.cost" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Puesto" type="number" [(ngModel)]="first.place" max="5" min="1" name="place" required>

                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field>
                                            <mat-select placeholder="Entidad" name="entity2" [(ngModel)]="second.entity">
                                                <mat-option *ngFor="let i of enitys" [value]="i">
                                                    {{i}}
                                                </mat-option>

                                            </mat-select>
                                        </mat-form-field>


                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Cupos" name="quotas2" [(ngModel)]="second.quotas" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Costos" name="cost2" [(ngModel)]="second.cost" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Puesto" type="number" [(ngModel)]="second.place" max="5" min="1" name="place2" required>

                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field>
                                            <mat-select placeholder="Entidad" name="enity3" [(ngModel)]="third.entity">
                                                <mat-option *ngFor="let i of enitys" [value]="i">
                                                    {{i}}
                                                </mat-option>>

                                            </mat-select>
                                        </mat-form-field>


                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Cupos" name="quotas3" [(ngModel)]="third.quotas" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Costos" name="cost3" [(ngModel)]="third.cost" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Puesto" type="number" [(ngModel)]="third.place" max="5" min="1" name="place3" required>

                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field>
                                            <mat-select placeholder="Entidad" [(ngModel)]="fourth.entity" name="type">
                                                <mat-option *ngFor="let i of enitys" [value]="i">
                                                    {{i}}
                                                </mat-option>>

                                            </mat-select>
                                        </mat-form-field>


                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Cupos" name="quotas4" [(ngModel)]="fourth.quotas" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Costos" name="cost4" [(ngModel)]="fourth.cost" type="number" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Puesto" type="number" [(ngModel)]="fourth.place" max="5" min="1" name="place4" required>

                                        </mat-form-field>
                                    </div>
                                </div>



                                <div class="card-footer">
                                    <div class="row">
                                        <button type="submit" class="btn  btn-muted " [disabled]="!form.valid">Guardar</button>


                                    </div>

                                </div>




                            </form>

                        </div>

                    </div>

                </div>

            </div>

        </div>
    </div>
</div>